# Command: FindRoot

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    FindRoot - numerically find a root in an interval

Synopsis:

    proc double1 double2 double3 FindRoot -> double

Examples:

      cout 15 setprecision	 % for display only
      {dup mul 2 sub} -3.0 7.0 0.00000000001 FindRoot

Description:

      Numerically searches for a root of a function
      specified by proc in the interval [double1, double2].
      The search stops when the absolute value of proc
      is less or equal double3.

Parameters:

Bugs:

     	- should raise error when there is no sign reversal
     	- tracing should be optional
     	- specification of precision should be optional

Remarks:

      FindRoot currenly supports only a single method for
      root finding: the "bisection method" (see [2]). The
      Mathematica implementation uses different methods (see [1]).

References:

      [1] The Mathematica Book "FindRoot"
      [2] Numerical Recipes in C. 2nd ed. sec. 9.1
      "Bracketing and Bisection"

Author:

    Diesmann, Hehl

FirstVersion:

    29.7.1999

SeeAlso:

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/lib/sli/mathematica.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative